# Import shared settings from pungi_general.conf
from pungi_general import *
# Import multilib settings from pungi_multilib.conf
from pungi_multilib import *

# PRODUCT INFO
skip_phases = ["buildinstall", "extra_files"]
release_version = '[[ release.version_int ]]'
release_type = 'updates[% if request.name == 'testing' %]-testing[% endif %]'
old_composes_per_release_type = True
release_name = '[[ release.id_prefix.title() ]]'
release_short = '[[ release.id_prefix.title() ]]'

# GENERAL SETTINGS
comps_file = {
    'scm': 'git',
    'repo': 'https://pagure.io/fedora-comps.git',
    'branch': 'main', # defaults to cvs/HEAD or git/main
    'file': 'comps-[[ release.branch ]].xml',
    'command': 'make',
}
variants_file='variants.xml'
sigkeys = [
[% if release.version_int == 25 %]
    'fdb19c98',
[% elif release.version_int == 26 %]
    '64dab85d',
[% elif release.version_int == 27 %]
    'f5282ee4',
[% elif release.version_int == 28 %]
    '9db62fb1',
[% elif release.version_int == 30 %]
    'cfc659b9',
[% elif release.version_int == 31 %]
    '3c3359c4',
[% elif release.version_int == 32 %]
    '12c944d0',
[% elif release.version_int == 33 %]
    '9570ff31',
[% elif release.version_int == 34 %]
    '45719a39',
[% elif release.version_int == 35 %]
    '9867c58f',
[% elif release.version_int == 36 %]
    '38ab71f4',
[% elif release.version_int == 37 %]
    '5323552a',
[% elif release.version_int == 38 %]
    'eb10b464',
[% elif release.version_int == 39 %]
    '18B8e74c',
[% elif release.version_int == 6 %]
    '0608b895',
[% elif release.version_int == 7 %]
    '352C64E5',
[% elif release.version_int == 8 %]
    '2f86d6a1'
[% elif release.version_int == 9 %]
    '3228467c'
[% endif %]
{% if env == "staging" %}
    None
{% endif %}
]
comps_filter_environments = False

# RUNROOT settings
runroot = True
runroot_channel = 'compose'
runroot_tag = 'f[[ release.version_int ]]-build'

# PKGSET
pkgset_koji_tag = '[[ id ]]'
pkgset_koji_inherit = False
pkgset_allow_reuse = False

# GATHER
gather_method = 'deps'
gather_backend = 'dnf'
check_deps = False
repoclosure_backend = 'dnf'

# CREATEREPO
createrepo_deltas = [
    ('^Everything$', {'*': True})
]
createrepo_database = True
[% if release.version_int >= 30 %]
createrepo_extra_args = ['--zck', '--zck-dict-dir=/usr/share/fedora-repo-zdicts/f[[ release.version_int ]]']
[% endif %]
# For epel8 we want to use xz compression for repodata
# https://pagure.io/epel/issue/71
[% if release.version_int == 8 %]
createrepo_extra_args = ['--xz']
[% endif %]

# CHECKSUMS
media_checksums = ['sha256']
media_checksum_one_file = True
media_checksum_base_filename = 'Fedora-%(variant)s-%(version)s-%(date)s.%(respin)s-%(arch)s'
#jigdo
create_jigdo = False

additional_packages = [
    ('^Everything$', {
        '*': [
            '*',
            '*-debuginfo',
        ],
    }),
]
multilib = [
    ('^Everything$', {
        'x86_64': ['devel', 'runtime'],
         's390x': ['devel', 'runtime']
    })
]
filter_packages = []

createiso_skip = [
        ('^Everything$', {
            '*': True,
            'src': True
        }),
    ]

{% if env != "staging" %}
[% if release.id_prefix == 'FEDORA' %]
ostree = {
    "^Everything$": [
        # Fedora Silverblue
        {
            "version": "!VERSION_FROM_VERSION_DATE_RESPIN",
            "treefile": "fedora-silverblue.yaml",
            "config_url": "https://pagure.io/workstation-ostree-config.git",
            "config_branch": "f[[ release.version ]]",
            "repo": [
                "Everything",
                [% if request.name == 'testing' %]
                    # In the case of testing, also inject the last stable updates
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/updates/f[[ release.version_int ]]-updates/compose/Everything/$basearch/os/",
                [% endif %]
                # For F38 the compose location is going to be under /compose/branched/
                [% if release.version_int == 38 %]
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/branched/latest-Fedora-[[ release.version_int ]]/compose/Everything/$basearch/os/"
                [% else %]
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/[[ release.version_int ]]/latest-Fedora-[[ release.version_int ]]/compose/Everything/$basearch/os/"
                [% endif %]
            ]
            "ostree_repo": "/mnt/koji/compose/ostree/repo",
            [% if request.name == 'stable' %]
                "ostree_ref": "fedora/[[ release.version_int ]]/${basearch}/updates/silverblue",
            [% else %]
                "ostree_ref": "fedora/[[ release.version_int ]]/${basearch}/testing/silverblue",
            [% endif %]
            "tag_ref": False,
            "arches": ["x86_64", "ppc64le", "aarch64" ],
            "failable": ["x86_64", "ppc64le", "aarch64" ]
        },
        # Fedora Kinoite
        [% if release.version_int >= 35 %]
        {
            "version": "!VERSION_FROM_VERSION_DATE_RESPIN",
            "treefile": "fedora-kinoite.yaml",
            "config_url": "https://pagure.io/workstation-ostree-config.git",
            "config_branch": "f[[ release.version ]]",
            "repo": [
                "Everything",
                [% if request.name == 'testing' %]
                    # In the case of testing, also inject the last stable updates
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/updates/f[[ release.version_int ]]-updates/compose/Everything/$basearch/os/",
                [% endif %]
                # For F38 the compose location is going to be under /compose/branched/
                [% if release.version_int == 38 %]
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/branched/latest-Fedora-[[ release.version_int ]]/compose/Everything/$basearch/os/"
                [% else %]
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/[[ release.version_int ]]/latest-Fedora-[[ release.version_int ]]/compose/Everything/$basearch/os/"
                [% endif %]
            ]
            "ostree_repo": "/mnt/koji/compose/ostree/repo",
            [% if request.name == 'stable' %]
                "ostree_ref": "fedora/[[ release.version_int ]]/${basearch}/updates/kinoite",
            [% else %]
                "ostree_ref": "fedora/[[ release.version_int ]]/${basearch}/testing/kinoite",
            [% endif %]
            "tag_ref": False,
            "arches": ["x86_64", "ppc64le", "aarch64" ],
            "failable": ["x86_64", "ppc64le", "aarch64" ]
        },
        [% endif %]
        # Fedora Sericea
        [% if release.version_int >= 38 %]
        {
            "version": "!VERSION_FROM_VERSION_DATE_RESPIN",
            "treefile": "fedora-sericea.yaml",
            "config_url": "https://pagure.io/workstation-ostree-config.git",
            "config_branch": "f[[ release.version ]]",
            "repo": [
                "Everything",
                [% if request.name == 'testing' %]
                    # In the case of testing, also inject the last stable updates
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/updates/f[[ release.version_int ]]-updates/compose/Everything/$basearch/os/",
                [% endif %]
                # For F38 the compose location is going to be under /compose/branched/
                [% if release.version_int == 38 %]
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/branched/latest-Fedora-[[ release.version_int ]]/compose/Everything/$basearch/os/"
                [% else %]
                    "https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/[[ release.version_int ]]/latest-Fedora-[[ release.version_int ]]/compose/Everything/$basearch/os/"
                [% endif %]
            ]
            "ostree_repo": "/mnt/koji/compose/ostree/repo",
            [% if request.name == 'stable' %]
                "ostree_ref": "fedora/[[ release.version_int ]]/${basearch}/updates/sericea",
            [% else %]
                "ostree_ref": "fedora/[[ release.version_int ]]/${basearch}/testing/sericea",
            [% endif %]
            "tag_ref": False,
            "arches": ["x86_64", "ppc64le", "aarch64" ],
            "failable": ["x86_64", "ppc64le", "aarch64" ]
        },
        [% endif %]
    ]
}
[% endif %]

{% endif %}

translate_paths = [
   ('/mnt/koji/compose/', 'https://kojipkgs{{ env_suffix }}.fedoraproject.org/compose/'),
]
koji_profile = 'bodhi_koji'
link_type = 'hardlink-or-copy'
